Bug 1206198 - Intel 9-series PCH chipset ACS quirks
Summary: Intel 9-series PCH chipset ACS quirks
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: pre-dev-freeze
: 7.2
Assignee: Myron Stowe
QA Contact: Mike Gahagan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-26 14:24 UTC by Alex Williamson
Modified: 2015-11-19 21:53 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-11-19 21:53:00 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2152 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-11-20 00:56:02 UTC

Description Alex Williamson 2015-03-26 14:24:36 UTC
Description of problem:

Intel 9-series PCH chipsets lack native ACS support and we lack quirks for them.  According to the datasheet, the device IDs for the PCH root ports on these chipsets are:

0x8c90, 0x8c92, 0x8c94, 0x8c96, 0x8c98, 0x8c9a, 0x8c9c, 0x8c9e

The 9-series products include popular chipsets such as Z97 and H97.  If Intel can confirm that these products provide isolation using the same programming model as used in bug 1037684, we can add quirks to expose the isolation of these root ports.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Alex Williamson 2015-03-26 14:27:02 UTC
Don, can we support this?

Comment 3 Alex Williamson 2015-05-01 19:30:15 UTC
Don has confirmed ACS-equivalent isolation for these root ports using the same setup as the existing Intel PCH ACS quirk.  Patch posted upstream:

http://permalink.gmane.org/gmane.linux.kernel.pci/41181

Re-assigning to myself for backport and post once accepted.

Comment 4 Alex Williamson 2015-06-10 17:03:46 UTC
linux-next:

commit dca230d162e27386d2ff24438ef56c645e55bf44
Author: Alex Williamson <alex.williamson@redhat.com>
Date:   Fri May 1 13:20:13 2015 -0600

    PCI: Add ACS quirks for Intel 9-series PCH root ports
    
    Intel confirms that 9-series chipset root ports provide ACS-equivalent
    isolation when configured via the existing Intel PCH ACS quirk setup.
    
    Signed-off-by: Alex Williamson <alex.williamson@redhat.com>
    Signed-off-by: Bjorn Helgaas <bhelgaas@google.com>
    Acked-by: Don Dugger <donald.d.dugger@intel.com>

Comment 6 Rafael Aquini 2015-06-18 12:02:03 UTC
Patch(es) available on kernel-3.10.0-267.el7

Comment 9 Mike Gahagan 2015-09-24 18:28:39 UTC
Confirmed ACS quirks added per description, also have run numerous kernel and userspace tests on these platforms with any issues documented as separate bugs.

Comment 10 errata-xmlrpc 2015-11-19 21:53:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2152.html


Note You need to log in before you can comment on or make changes to this bug.